"""
Provides the graphical front-end for Piket.
"""
import sys

from PySide2.QtWidgets import QApplication, QPushButton

from piket.sound import PLOP_WAVE


def plop() -> None:
    """ Asynchronously play the plop sound. """
    PLOP_WAVE.play()


if __name__ == "__main__":
    app = QApplication(sys.argv)

    button = QPushButton("Plop!")
    button.clicked.connect(plop)

    button.show()
    app.exec_()
